// Code generated by MockGen. DO NOT EDIT.
// Source: services/interfaces.go

// Package services is a generated GoMock package.
package services

import (
	reflect "reflect"

	gin "github.com/gin-gonic/gin"
	gomock "github.com/golang/mock/gomock"
)

// MockHoster is a mock of Hoster interface.
type MockHoster struct {
	ctrl     *gomock.Controller
	recorder *MockHosterMockRecorder
}

// MockHosterMockRecorder is the mock recorder for MockHoster.
type MockHosterMockRecorder struct {
	mock *MockHoster
}

// NewMockHoster creates a new mock instance.
func NewMockHoster(ctrl *gomock.Controller) *MockHoster {
	mock := &MockHoster{ctrl: ctrl}
	mock.recorder = &MockHosterMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockHoster) EXPECT() *MockHosterMockRecorder {
	return m.recorder
}

// GetHostnames mocks base method.
func (m *MockHoster) GetHostnames(c *gin.Context) []string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHostnames", c)
	ret0, _ := ret[0].([]string)
	return ret0
}

// GetHostnames indicates an expected call of GetHostnames.
func (mr *MockHosterMockRecorder) GetHostnames(c interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHostnames", reflect.TypeOf((*MockHoster)(nil).GetHostnames), c)
}
